#define MAX_COMMAND_LINE 			128

#define CMDSRV_CMD_NOP				0
#define CMDSRV_CMD_EXECUTE			1
#define CMDSRV_CMD_GET_MORE			2

typedef struct CommandPacketStruct
{
	__u32	Command;
	union
	{
		char	ExecuteCommandLine[MAX_COMMAND_LINE];
		int		GetMoreOffset;
	}u;
} CommandPacketT, *PCommandPacketT;

#define MAX_RESPONSE_BUFFER			1024

#define CMDSRV_RSP_GENERAL_ERROR	-1
#define CMDSRV_RSP_OK				0
#define CMDSRV_RSP_OK_GET_MORE		1
#define CMDSRV_RSP_INVALID_COMMAND	2
#define CMDSRV_RSP_EXECUTE_ERROR	3
#define CMDSRV_RSP_GET_MORE_ERROR	4

typedef struct ResponsePacketStruct
{
	__u32	Response;
	__u32	ResponseBufferSize;
	char	ResponseBuffer[MAX_RESPONSE_BUFFER];
} ResponsePacketT, *PResponsePacketT;
